<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionActionOpenTraderMenu Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d32/a05709.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionActionOpenTraderMenu Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionActionOpenTraderMenu:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dd/d32/a05709.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae9740439cea9d1215ce60d2cf7ac01c8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d32/a05709.html#ae9740439cea9d1215ce60d2cf7ac01c8">ExpansionActionOpenTraderMenu</a> ()</td></tr>
<tr class="separator:ae9740439cea9d1215ce60d2cf7ac01c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a97f992283e848e1fd6069bff087b8b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d32/a05709.html#a8a97f992283e848e1fd6069bff087b8b">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a8a97f992283e848e1fd6069bff087b8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6b6a5b73be6470ea043312c4542bd03"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d32/a05709.html#aa6b6a5b73be6470ea043312c4542bd03">ActionCondition</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="el" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="el" href="../../d1/df9/a03665.html">ItemBase</a> item)</td></tr>
<tr class="separator:aa6b6a5b73be6470ea043312c4542bd03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a183d02e21eb6ff7d3e9f14dae0cc5ed8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d32/a05709.html#a183d02e21eb6ff7d3e9f14dae0cc5ed8">OnStartServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a183d02e21eb6ff7d3e9f14dae0cc5ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a476c69dd288143fe00b5be8c00d21d7d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d32/a05709.html#a476c69dd288143fe00b5be8c00d21d7d">OnStartClient</a> (ActionData action_data)</td></tr>
<tr class="separator:a476c69dd288143fe00b5be8c00d21d7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0b7ac29a844361f1adb12040ac5d0dcc"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../df/ddb/a05729.html">ExpansionTraderObjectBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d32/a05709.html#a0b7ac29a844361f1adb12040ac5d0dcc">m_TraderObject</a></td></tr>
<tr class="separator:a0b7ac29a844361f1adb12040ac5d0dcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bbf842d19a5913921f57783b0d1651a"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../da/df2/a05869.html">ExpansionMarketModule</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d32/a05709.html#a3bbf842d19a5913921f57783b0d1651a">m_MarketModule</a></td></tr>
<tr class="separator:a3bbf842d19a5913921f57783b0d1651a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >ExpansionActionOpenTraderMenu.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d1c/a09072_source.html#l00013">13</a> of file <a class="el" href="../../de/d1c/a09072_source.html">expansionactionopentradermenu.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae9740439cea9d1215ce60d2cf7ac01c8" name="ae9740439cea9d1215ce60d2cf7ac01c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9740439cea9d1215ce60d2cf7ac01c8">&#9670;&#160;</a></span>ExpansionActionOpenTraderMenu()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionActionOpenTraderMenu::ExpansionActionOpenTraderMenu </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d1c/a09072_source.html#l00018">18</a> of file <a class="el" href="../../de/d1c/a09072_source.html">expansionactionopentradermenu.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa6b6a5b73be6470ea043312c4542bd03" name="aa6b6a5b73be6470ea043312c4542bd03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6b6a5b73be6470ea043312c4542bd03">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionOpenTraderMenu::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d6d/a04713.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/df9/a03665.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d1c/a09072_source.html#l00030">30</a> of file <a class="el" href="../../de/d1c/a09072_source.html">expansionactionopentradermenu.c</a>.</p>

</div>
</div>
<a id="a8a97f992283e848e1fd6069bff087b8b" name="a8a97f992283e848e1fd6069bff087b8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a97f992283e848e1fd6069bff087b8b">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionOpenTraderMenu::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d1c/a09072_source.html#l00024">24</a> of file <a class="el" href="../../de/d1c/a09072_source.html">expansionactionopentradermenu.c</a>.</p>

</div>
</div>
<a id="a476c69dd288143fe00b5be8c00d21d7d" name="a476c69dd288143fe00b5be8c00d21d7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a476c69dd288143fe00b5be8c00d21d7d">&#9670;&#160;</a></span>OnStartClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionOpenTraderMenu::OnStartClient </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Client/server handshake</p>
<p >Client: RequestTraderData Server: RPC_RequestTraderData Server: LoadTraderData Client: RPC_LoadTraderData Client: RequestTraderItems Server: RPC_RequestTraderItems Server: LoadTraderItems Client: RPC_LoadTraderItems</p>

<p class="definition">Definition at line <a class="el" href="../../de/d1c/a09072_source.html#l00075">75</a> of file <a class="el" href="../../de/d1c/a09072_source.html">expansionactionopentradermenu.c</a>.</p>

</div>
</div>
<a id="a183d02e21eb6ff7d3e9f14dae0cc5ed8" name="a183d02e21eb6ff7d3e9f14dae0cc5ed8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a183d02e21eb6ff7d3e9f14dae0cc5ed8">&#9670;&#160;</a></span>OnStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionOpenTraderMenu::OnStartServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d1c/a09072_source.html#l00054">54</a> of file <a class="el" href="../../de/d1c/a09072_source.html">expansionactionopentradermenu.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a3bbf842d19a5913921f57783b0d1651a" name="a3bbf842d19a5913921f57783b0d1651a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bbf842d19a5913921f57783b0d1651a">&#9670;&#160;</a></span>m_MarketModule</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../da/df2/a05869.html">ExpansionMarketModule</a> ExpansionActionOpenTraderMenu::m_MarketModule</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d1c/a09072_source.html#l00016">16</a> of file <a class="el" href="../../de/d1c/a09072_source.html">expansionactionopentradermenu.c</a>.</p>

</div>
</div>
<a id="a0b7ac29a844361f1adb12040ac5d0dcc" name="a0b7ac29a844361f1adb12040ac5d0dcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b7ac29a844361f1adb12040ac5d0dcc">&#9670;&#160;</a></span>m_TraderObject</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../df/ddb/a05729.html">ExpansionTraderObjectBase</a> ExpansionActionOpenTraderMenu::m_TraderObject</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d1c/a09072_source.html#l00015">15</a> of file <a class="el" href="../../de/d1c/a09072_source.html">expansionactionopentradermenu.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Market/Scripts/4_world/dayzexpansion_market/classes/useractionscomponent/actions/interact/<a class="el" href="../../de/d1c/a09072_source.html">expansionactionopentradermenu.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d32/a05709.html">ExpansionActionOpenTraderMenu</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
